Bug 1221288 - Impossible to send Notifications to a Group
Summary: Impossible to send Notifications to a Group
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts
Version: JON 3.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Jay Shaughnessy
QA Contact: Matt Mahoney
URL:
Whiteboard:
Keywords: Triaged
: 1207746 1224325 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 15:40 UTC by Renaud HOUSSIN
Modified: 2019-06-13 08:29 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:43:29 UTC


Attachments (Terms of Use)
JON Download interface (35.79 KB, image/png)
2015-05-19 08:06 UTC, Renaud HOUSSIN
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Knowledge Base (Solution) 1458533 None None None Never

Description Renaud HOUSSIN 2015-05-13 15:40:54 UTC
Description of problem:

We have some users on our JON Platform. Each Users can do some actions and access to certain ressources. We configured some alerts on several ressources. We configured notification settings with System Roles which contains some users. When an alert comes up we have an error:

ERROR [org.rhq.enterprise.server.alert.AlertManagerBean] (Thread-23962 (HornetQ-client-global-threads-784604354)) Notification processing terminated abruptlyfailed to lazily initialize a collection of role: org.rhq.core.domain.authz.Role.subjects, could not initialize proxy - no Session

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a Role
2.Insert some users in that role
3.Create an alert with the System Role in Notifications Settings

Actual results:

ERROR [org.rhq.enterprise.server.alert.AlertManagerBean] (Thread-23962 (HornetQ-client-global-threads-784604354)) Notification processing terminated abruptlyfailed to lazily initialize a collection of role: org.rhq.core.domain.authz.Role.subjects, could not initialize proxy - no Session



Expected results:

Each users in the system Role get an email Alert

Comment 1 Jay Shaughnessy 2015-05-13 21:23:07 UTC
Fixed upstream.

Master commit 0fa1cfe3fa6863e8f4c405667f7b7c71d83fd952
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed May 13 17:21:57 2015 -0400

    The email to role users was broken as described. The code was not
    retrieving the lazily loaded subjects for the roles. Fixed.

Comment 3 Renaud HOUSSIN 2015-05-19 08:05:05 UTC
Thanks you for your answer,

So the problem were fixed by which patch? 

I can see Target Release --> JON 3.3.3 but when i go on website i only can see two patches the last were uploaded the 04/30/2015.

I took a screenshot to show the user interface on the website

Comment 4 Renaud HOUSSIN 2015-05-19 08:05:36 UTC
Thanks you for your answer,

So the problem were fixed by which patch? 

I can see Target Release --> JON 3.3.3 but when i go on website i only can see two patches the last were uploaded the 04/30/2015.

I took a screenshot to show the user interface on the website

Comment 5 Renaud HOUSSIN 2015-05-19 08:06:27 UTC
Created attachment 1027005 [details]
JON Download interface

Comment 6 Jay Shaughnessy 2015-05-19 13:32:56 UTC
Hi Renaud,

The 3.3.3 version is the *target* release, it has not yet been released. Although, it is the next scheduled release.  I would suggest contacting JON support if you need more information about JON patch releases.

Comment 7 Filip Brychta 2015-05-28 14:14:04 UTC
*** Bug 1224325 has been marked as a duplicate of this bug. ***

Comment 8 Michael Burman 2015-06-16 08:56:39 UTC
Cherry-picked to release/jon3.3.x:

commit a7b1821785fc83fdcdd0fdf72dacd2e9b0a5d7c3
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed May 13 17:21:57 2015 -0400

    [BZ 1221288] Impossible to send Notifications to a Group
    The email to role users was broken as described. The code was not
    retrieving the lazily loaded subjects for the roles. Fixed.
    
    (cherry picked from commit 0fa1cfe3fa6863e8f4c405667f7b7c71d83fd952)

Comment 9 Simeon Pinder 2015-07-10 18:55:45 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 16 errata-xmlrpc 2015-07-30 16:43:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html

Comment 17 bkramer 2017-06-09 13:13:49 UTC
*** Bug 1207746 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.